Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class ConceptInheritance

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.ConceptInheritance

All Implemented Interfaces:
  M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class ConceptInheritance

extends M4Data
implements XmlInfo

Corresponds to M4 table ConceptIsA_T.

Version:
  $Id: ConceptInheritance.java,v 1.5 2006/09/27 15:00:00 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_CONINHERIT_ID` db level: name of the attribute specifying the projection's id
`static java.lang.String` | `ATTRIB_SUB_CONCEPT` db level: name of the attribute specifying the from-concept's id
`static java.lang.String` | `ATTRIB_SUPER_CONCEPT` db level: name of the attribute specifying the to-concept's id
`static java.lang.String` | `M4_TABLE_NAME` The name of the corresponding M4 table.
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`ConceptInheritance(DB db)`

Method Summary
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Concept` | `getSubConcept()` Getter method.
`Concept` | `getSuperConcept()` Getter method.
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetSubConcept(Concept subConcept)` Primitive setter, do not use it!
`void` | `primitiveSetSuperConcept(Concept superConcept)` Primitive setter, do not use it!
`void` | `print()` Print this M4 object's parameters.
`protected void` | `removeAllM4References()` This method needs to be implemented by all `M4Data` objects.
`void` | `setSubConcept(Concept subConcept)` Setter method for the Sub-Concept
`void` | `setSuperConcept(Concept superConcept)` Setter method for the Super-Concept

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  The name of the corresponding M4 table.

  See Also:
    Constant Field Values

### ATTRIB_CONINHERIT_ID

    public static final java.lang.String ATTRIB_CONINHERIT_ID

  db level: name of the attribute specifying the projection's id

  See Also:
    Constant Field Values

### ATTRIB_SUB_CONCEPT

    public static final java.lang.String ATTRIB_SUB_CONCEPT

  db level: name of the attribute specifying the from-concept's id

  See Also:
    Constant Field Values

### ATTRIB_SUPER_CONCEPT

    public static final java.lang.String ATTRIB_SUPER_CONCEPT

  db level: name of the attribute specifying the to-concept's id

  See Also:
    Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### ConceptInheritance

    public ConceptInheritance(DB db)

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`
  See Also:
    `M4Object.print()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getSubConcept

    public Concept getSubConcept()

  Getter method.

  Returns:
    the `Concept` stored as the Sub-Concept in

### getSuperConcept

    public Concept getSuperConcept()

  Getter method.

  Returns:
    the `Concept` stored as the Super-Concept

### setSubConcept

    public void setSubConcept(Concept subConcept)
                       throws M4Exception

  Setter method for the Sub-Concept

  Parameters:
    `subConcept` - the `Concept` to be set as the new Sub-Concept
  Throws:
    `M4Exception`

### setSuperConcept

    public void setSuperConcept(Concept superConcept)
                         throws M4Exception

  Setter method for the Super-Concept

  Parameters:
    `superConcept` - the `Concept` to be set as the new Super-Concept
  Throws:
    `M4Exception`

### primitiveSetSubConcept

    public void primitiveSetSubConcept(Concept subConcept)

  Primitive setter, do not use it!

  Parameters:
    `subConcept` - the new From-Concept to be set

### primitiveSetSuperConcept

    public void primitiveSetSuperConcept(Concept superConcept)

  Primitive setter, do not use it!

  Parameters:
    `superConcept` - the new From-Concept to be set

### removeAllM4References

    protected void removeAllM4References()
                                  throws M4Exception

  Description copied from class: `M4Data`
  This method needs to be implemented by all `M4Data` objects. It has to remove all references to other `M4Object`s.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`
  See Also:
    `M4Data.removeAllM4References()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005